version: "3"
services:
  reg-app:
    image: cybersimon/reg-app
    ports:
      - "8080:8080"
      - "8443:8443"
      - "9990:9990"
    environment:
      - DB_HOST=postgres
      - DB_PORT=5432
      - DB_NAME=regapp-demo
      - DB_USER=regapp-demo
      - DB_PASS=regapp-demo1234
      - JAVA_OPTS=-Xmx2G
    depends_on:
      - postgres
      - swag
  postgres:
    image: postgres:13
    ports:
      - "5432:5432"
    environment:
      - LC_ALL=C.UTF-8
      - POSTGRES_DB=regapp-demo
      - POSTGRES_USER=regapp-demo
      - POSTGRES_PASSWORD=regapp-demo1234
      - POSTGRES_PORT=5432
    volumes:
      - pgdata:/var/lib/postgresql/data
  swag:
    image: ghcr.io/linuxserver/swag
    cap_add:
      - NET_ADMIN
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Berlin
## Insert correct parameters here:
      - URL=
      - SUBDOMAINS=
      - VALIDATION=http
## Set to false after testing        
      - STAGING=true
    volumes:
      - ./swag-config:/config
    ports:
      - 80:80
      - 443:443
    restart: unless-stopped

volumes:
    pgdata:

